Subject: bug#54219: 26.3; Bidi and empty parentheses

From: Richard Wordingham <[email-masked]>
Date: Thu, 3 Mar 2022 23:50:18 +0000

On Thu, 03 Mar 2022 15:59:32 +0200
Eli Zaretskii <[email-masked]> wrote:

> > For the usage that prompted this report, several work-arounds are
> > available, including defining end of line as a paragraph boundary.
> > The Emacs display in that usage is also rendered baffling by Bug
> > #27525 'Line wrapping of bidi paragraphs'.  
> 
> Not sure what paragraph boundaries have to do with this.  Sounds like
> an unrelated issue.

It relates to how the issue came to light.  Program output included
sequences composed of blank line, line of Arabic and then a sentence
starting off in ASCII and containing an empty pair of parentheses.  The
point was that fixing the error was not urgent; there were other ways
of fixing the problem.  The Emacs' default paragraphing rules are
simply wrong for the application.

Richard.